org.firebirdsql.jna.fbclient

## Class XSQLDA

- java.lang.Object
- - com.sun.jna.Structure
  - - org.firebirdsql.jna.fbclient.XSQLDA

- Direct Known Subclasses:
    XSQLDA.ByReference, XSQLDA.ByValue

      @Structure.FieldOrder(value={"version","sqldaid","sqldabc","sqln","sqld","sqlvar"})
      public class XSQLDA
      extends com.sun.jna.Structure

  JNA Wrapper for XSQLDA.

  This file was initially autogenerated by JNAerator, a tool written by Olivier Chafik that uses a few opensource projects..

  This file was modified manually, do not automatically regenerate!

  Since:
    3.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `XSQLDA.ByReference`
    `static class` | `XSQLDA.ByValue`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `com.sun.jna.Structure.FieldOrder, com.sun.jna.Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `short` | `sqld`
    `int` | `sqldabc`
    `byte[]` | `sqldaid`
    `short` | `sqln`
    `XSQLVAR[]` | `sqlvar`
    `short` | `version`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSQLDA()`
    `XSQLDA(int size)`
    `XSQLDA(short version, byte[] sqldaid, int sqldabc, short sqln, short sqld, XSQLVAR[] sqlvar)`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### version

          public short version

    - #### sqldaid

          public byte[] sqldaid

    - #### sqldabc

          public int sqldabc

    - #### sqln

          public short sqln

    - #### sqld

          public short sqld

    - #### sqlvar

          public XSQLVAR[] sqlvar

  - ### Constructor Detail

    - #### XSQLDA

          public XSQLDA()

    - #### XSQLDA

          public XSQLDA(int size)

    - #### XSQLDA

          public XSQLDA(short version,
                        byte[] sqldaid,
                        int sqldabc,
                        short sqln,
                        short sqld,
                        XSQLVAR[] sqlvar)

      Parameters:
        `version` - C type : ISC_SHORT
        `sqldaid` - C type : ISC_SCHAR[8]
        `sqldabc` - C type : ISC_LONG
        `sqln` - C type : ISC_SHORT
        `sqld` - C type : ISC_SHORT
        `sqlvar` - C type : XSQLVAR[1]

Copyright © 2001-2025 Jaybird (Firebird JDBC) team. All rights reserved.